### Enumeration

# GLib IOStatus

#### Declaration

    enum GLib.IOStatus

#### Description

Statuses returned by most of the `GIOFuncs` functions.

#### Members

`G_IO_STATUS_ERROR`

  An error occurred.

  - Value: `0`
  - Available since: 2.0
`G_IO_STATUS_NORMAL`

  Success.

  - Value: `1`
  - Available since: 2.0
`G_IO_STATUS_EOF`

  End of file.

  - Value: `2`
  - Available since: 2.0
`G_IO_STATUS_AGAIN`

  Resource temporarily unavailable.

  - Value: `3`
  - Available since: 2.0